<template>
    <div>

        <div :id="popupid" class="modal promomodel" style=" z-index: 9999999999999999999999999999999 !important;">

            <div class="modal-content p-3 pt-2" style="    border-radius: 0.3rem;">
                <span @click="closePricingZipModal()" class="close" style="color: black;">&times;</span>
                <div class="row p-md-4 p-lg-4 p-sm-2 p-1 pb-5  pt-4 mb-0">
                    <h3 class="mb-0 mb-4 pb-3 text-center mt-2" data-v-34105bb4="" style="color: rgb(14, 35, 84) !important;">Find
                        out if we serve
                        your neighborhood<span data-v-34105bb4=""
                            style="color: rgb(248, 90, 71); font-size: 28px;">.</span></h3>
                    <div class="p-0">
                        <img src="https://ik.imagekit.io/choreless/v0/b/tr:q-40,w-400/choreless-bb99d.appspot.com/o/Columbia-Pike-Laundry-2020-_22-of-348_-_4_.jpg?alt=media&token=a1269284-a464-43a8-b161-cec02f98b887"
                            style="    object-fit: cover;width: 100%;
    height: auto;" />
                    </div>
                    <div class="inputWithIcon col-12 mt-4 p-0">
                        <input type="text" id="zipcode" @keyup="getZip" v-model="zipcode"
                            :placeholder="zipinputPlaceholder" class="form-control fm-wid"
                            oninput="this.value = this.value.replace(/[^0-9-]/g, '').replace(/(\..*)\./g, '$1');"
                            minlength="5" maxlength="5">
                        <i class="fa-solid fa-location-dot mt-1 p-2" style="color:var(--default);"></i>
                    </div>
                    <LoaderSpinner :is_loading_spin="start_spin"></LoaderSpinner>
                    <div v-if="show_if_zip_not" id="wedont" class="pt-0 pb-1 mb-0">
                        <p class="wedont pb-1 mb-0" style="color:red !important;">🗴 Unfortunately, we don’t serve your
                            area yet :( </p>
                    </div>
                    <div v-if="show_if_invalidzip" id="wedont" class="pt-0">
                        <p class="wedont pb-1 mb-0" style="color:red !important;">Please enter valid ZIP code</p>
                    </div>
                    <div v-if="show_if_zip" id="wedont" class="pt-0">
                        <p class="wedont pb-2 mb-0"
                            style="color:green !important;       font-weight: 500; font-size: 14px;">
                            ✔
                            Yes! We serve {{ this.zipcode }} </p>
                    </div>
                   
                    <button class="btn-zip zip_check hs-button btn-with-icon mt-1 pt-1 border-red"
                        style="width:100% !important;padding-right:25px;padding-left:25px;"
                        @click="scanZip()">{{
                        btn_continute_state
                        }}</button>
                </div>
            </div>

        </div>
    </div>
</template>

<script>
import zip_json from "../assets/zip.json";
export default {
    name: 'PromoModel',
    props: ['redirectToCustomService','popupid'],
    data() {
        return {
            zip_json: zip_json,
            show_if_invalidzip: false,
            show_if_zip: false,
            start_spin: false,
            show_if_zip_not: false,
            btn_continute_state: "Book Now",
            zipcode: null,
            is_searched: false,
            is_available: false,
            value: 0,
            inputLength: undefined,
            zipinputPlaceholder:"Enter your zip code"
        }
    },
    mounted() {

        if(this.getCookie('is_search_zip') != "")
        {
            this.zipcode = this.getCookie('is_search_zip') 
             this.scanZip()
        }

        // var modal = document.getElementById("myModal");
        // var btn = document.getElementById("myBtn");
        // var span = document.getElementsByClassName("close")[0];
        // btn.onclick = function () {
        //     modal.style.display = "block"
        // }
        // span.onclick = function () {
        //     modal.style.display = "none"
        // }
        // window.onclick = function (event) {
        //     if (event.target == modal) {
        //         modal.style.display = "none"
        //     }
        // }
        // if(this.getCookie('is_market')=="1")
        // {
        //    modal.style.display = "none"       
        // }else{
        //     this.setCookie('is_market','1','1')   
        //     modal.style.display = "block"
        // }

        //modal.style.display = "block";
       
    },
    methods: {
        goToSignup() {
            window.location.href = "https://app.getchoreless.com/start/notyet/" + this.zipcode

        },
        scanZip() {
            if (this.is_searched == false && this.show_if_zip == false) {

                this.getZip()
            } else if (this.show_if_zip == true) {
                let z = this.zipcode;
                this.setCookie('is_search_zip',this.zipcode,'15')   
                if(this.redirectToCustomService == "yes")
                {
                    z = this.zipcode + "/32"  
                }else if(this.redirectToCustomService == "to31"){
                    z = this.zipcode + "/31"
                }else{
                    z = this.zipcode + "/"
                }
                //this.$router.push('/start/pricing/'+this.zipcode);
                window.location.href = "https://app.getchoreless.com/start/pricing/" + z
            } else {
                this.goToSignup()
            }
        },
        getZip() {

            if (!this.zipcode) {
                this.show_if_invalidzip = true;
                return
            }
            if (isNaN(this.zipcode)) {
                this.zipcode = ""

                return
            }


            this.show_if_invalidzip = false;
            this.show_if_zip = false
            this.is_searched = false
            this.show_if_zip_not = false
            this.btn_continute_state = "Book Now"
            this.is_available = false;

            if (this.zipcode.length < 5 && this.zipcode.length == 0) {
                this.show_if_invalidzip = true;
                return;
            }


            else if (this.zipcode.length >= 5) {

                localStorage.setItem('zip_Localstorage', this.zipcode)
                this.start_spin = true;
                //console.log(this.zipcode.length);
                for (const x in zip_json) {
                    if (zip_json[x].id == this.zipcode) {
                        this.start_spin = false;
                        this.btn_continute_state = "Continue"
                        this.show_if_zip = true
                        return;
                        break;
                    }
                }
                this.start_spin = false;
                this.show_if_zip_not = true
                this.btn_continute_state = "Notify me when available"
                this.is_searched = true;

            }
        },
        openPricingZipModal() {
            var modal = document.getElementById(this.popupid);
            modal.style.display = "block"
        },
        closePricingZipModal() {
            var modal = document.getElementById(this.popupid);
            modal.style.display = "none"
        },

        setCookie(cname, cvalue, exdays) {
            var dt, expires;
            dt = new Date();
            dt.setTime(dt.getTime()+(exdays*24*60*60*1000));
            expires = "; expires="+dt.toGMTString();
            document.cookie = cname+"="+cvalue+expires+'; domain='+window.location.hostname;
        },
        getCookie(cname) {
            let name = cname + "=";
            let ca = document.cookie.split(';');
            for (let i = 0; i < ca.length; i++) {
                let c = ca[i];
                while (c.charAt(0) == ' ') {
                    c = c.substring(1);
                }
                if (c.indexOf(name) == 0) {
                    return c.substring(name.length, c.length);
                }
            }
            return "";
        }
    }
}

</script>

<style scoped>
    
       ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: gray !important;
  opacity: 1; /* Firefox */
}
    .promomodel .modal-content{
        max-width: 380px !important;
      
      
    }
    .promomodel .row{
        padding-right: 2.5rem !important;
        padding-left: 2.5rem !important;
    }
    .wedont{
        font-size: 14px !important;
        text-align: left !important;
        margin-top: -10px !important;
    }
button.btn-zip.zip_check {
    line-height: 33px !important;
}

.inputWithIcon i {
    padding: 12px 20px !important;
}
.inputWithIcon{
    width: 100% !important;
}

#zipcode,
.btn-zip,
.border-red {
    border: 1px solid #f85a47 !important;
    padding: auto 10px !important;
}
button.btn-zip.zip_check{
    height: 46px !important;
    margin-top: 10px !important;
}

.sw04ssww {
    height: 400px;
}

input::placeholder {
    color: #fff;
}

.input_1_1 {
    background: transparent !important;
    background-color: var(--default);
    border: #ffdead;
    border-bottom: 1px solid #fff;
    border-color: var(--default);
    border-radius: 4px;
    border-radius: 0;
    -web-border-radius: 0;
    -moz-border-radius: 0;
    border-style: solid;
    border-width: 1px;
    border: none !important;
    border-bottom: 1px solid #fff !important;
    border-radius: 0 !important;
    box-sizing: border-box;
    color: #fff !important;
    height: 52px;
    margin: 8px 0;
    max-width: 100%;
    outline: none;
    padding: 8px;
    padding-left: 0;
    transition: .3s;
    width: 100%;
}

.getofftitle {
    font-size: 59px;
    font-weight: 800 !important;
    color: #fff !important;
    text-shadow: rgb(82 82 82 / 48%) 0px 8px 24px;
}

.siw0056 {
    width: 100%;
    background-color: #fff;
    border-radius: 100px;
    -web-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 50px !important;
    border-style: solid;
    border-width: 0;
    color: #0e2354 !important;
    font-size: 18px;
    font-size: 15px !important;
    line-height: 0 !important;
    margin-top: 15px;
    padding: 10px 30px;
    padding: 22px 43px !important;
}

.bgs045 {
    background-image: url('https://ik.imagekit.io/choreless/v0/b/tr:q-50/choreless-bb99d.appspot.com/o/bg2-min.png?alt=media&token=f6c21089-b4a4-464d-b6aa-704d5a69550d');
    background-repeat: no-repeat;
    background-size: contain;
    height: auto;

}

/* The Modal (background) */
.modal {


    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    padding-top: 100px;
    /* Location of the box */
    left: 0;
    top: 0;

    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.638);
    /* Black w/ opacity */
    z-index: 999999999999999999999999999999999999 !important;
}

/* Modal Content */
.modal-content {
    border-radius: 0px;
    max-width: 900px;
    background-color: #fff;

    margin: auto;
    padding: 0px;

    width: 60%;
    max-width: 700px;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    color: #fff;
    margin-right: 15px;
    float: right;
    text-align: right !important;
    font-size: 39px;
    font-weight: 700;
    margin-left: 12px;
    margin-top: 12px;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

@media (max-width: 767px) {
    .promomodel .modal-content {
        width: 100% !important;
        height: auto !important;
        top: 29px;
        border: none !important;
    }

    .promomodel {
        padding: 0px !important;
    }

    .promomodel .getofftitle {
        font-size: 41px;
    }

    .promomodel .sw04ssww {
        height: 250px;
    }

    .promomodel .sw04ssww {
        position: absolute;
        bottom: 0;
        right: 57px;
    }

    .promomodel .mts0 {
        margin-top: 50px !important;
    }

    .adwq0 {
        flex-direction: column-reverse;
    }

    .bgs045 {
        height: 250px;
        background-position: center;
        margin-bottom: 25px;
    }

    .sw04ssww {
        margin-bottom: 0;
    }

}

@media (max-width: 592px) {

    .modal-content {
        width: 95%;
    }
}
@media (min-width: 320px) and (max-width: 1000px)
{
button.btn-zip.zip_check{
    margin-top: 10px !important;
    max-width: 100% !important;
    line-height: 13px !important;
}
#zipcode{
    padding-left: 39px !important;
    font-size: 12px !important;
}
}
</style>